---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: dev-micro-ingress
  namespace: micro
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 100m
    nginx.ingress.kubernetes.io/proxy-connect-timeout: "600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "600"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  rules:
  - host: zymicro-dev.crec.cn
    http:
      paths:         
      - path: /crec-authority-api(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-authority-api-backend-dev-svc
            port:
              number: 8080
      - path: /crec-authority-web(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-authority-web-backend-dev-svc
            port:
              number: 8080       
      - path: /crec-basic-config(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-basic-config-backend-dev-svc
            port:
              number: 8080
      - path: /crec-basic-log(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-basic-log-backend-dev-svc
            port:
              number: 8080
      - path: /crec-basic-message(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-basic-message-backend-dev-svc
            port:
              number: 8080
      - path: /crec-basic-storage(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-basic-storage-backend-dev-svc
            port:
              number: 8080
      - path: /crec-workflow-api(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-workflow-api-backend-dev-svc
            port:
              number: 8080
      - path: /crec-workflow-web(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-workflow-web-backend-dev-svc
            port:
              number: 8080
      - path: /crec-workflow-design(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-workflow-design-backend-dev-svc
            port:
              number: 8080
      - path: /crec-workflow-base(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-workflow-base-backend-dev-svc
            port:
              number: 8080
      - path: /gateway(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-basic-gateway-backend-dev-svc
            port:
              number: 8080
      - path: /()(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-portal-frontend-dev-svc
            port:
              number: 80
      - path: /basic(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-basic-frontend-dev-svc
            port:
              number: 80
      - path: /workflow(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-workflow-frontend-dev-svc
            port:
              number: 80
      - path: /authority(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-authority-frontend-dev-svc
            port:
              number: 80
      - path: /generator(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-generator-code-backend-dev-svc
            port:
              number: 8080
      - path: /crec-form-web(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-form-backend-dev-svc
            port:
              number: 8080
      - path: /demo(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-demo-frontend-dev-svc
            port:
              number: 80
      - path: /print-tools(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-print-tools-front-dev-svc
            port:
              number: 80
      - path: /form(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-form-frontend-dev-svc
            port:
              number: 80
  - host: dev-micro-pdby6g4w6-nacos.crec.cn
    http:
      paths:
      - path: /()(nacos.*) 
        pathType: ImplementationSpecific
        backend:
          service:
            name: micro-nacos-headless-svc
            port:
              number: 8848    
  - host: zymicro-skywalking-345yrtd-dev.crec.cn
    http:
      paths:
      - path: /()(.*)
        pathType: Prefix
        backend:
          service:
            name: micro-skywalking-dev-svc
            port:
              number: 8080    
  - host: zymicro-xxl-job-w4efwsefwse-dev.crec.cn
    http:
      paths:         
      - path: /()(xxl-job-admin.*)
        pathType: Prefix
        backend:
          service:
            name: crec-micro-basic-xxljob-backend-dev-svc
            port:
              number: 8080  
